Frees all resources associated with statement or cursor

- « oci_free_descriptor

- oci_get_implicit_resultset »

- PHP Manual
- OCI8 Functions
- Frees all resources associated with statement or cursor

# oci_free_statement

(PHP 5, PHP 7, PHP 8, PECL OCI8 >= 1.1.0)

oci_free_statement — Frees all resources associated with statement or cursor

### Description

oci_free_statement(resource `$statement`): bool

Frees resources associated with Oracle's cursor or statement, which was received from as a result of oci_parse() or obtained from Oracle.

### Parameters

`statement`

  A valid OCI statement identifier.

### Return Values

Returns `true` on success or `false` on failure.